com.trendmicro.ds.network.rest.api

## Interface IWidgetsAPI

-     @Path(value="/widgets/network")
      public interface IWidgetsAPI

  A general widgets interface to retrieve same widget data from network module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarDataListing` | `getPacketHistoryWidget(java.lang.String sessionId, int timescale)` Get Firewall events history data based on PacketHistoryWidget
    `BarDataListing` | `getPayloadLogHistoryWidget(java.lang.String sessionId, int timescale)` Get Intrusion Prevention events history data based on PayloadLogHistoryWidget
    `CounterApplicationTypeListing` | `getTop5ApplicationTypesDetectedWidge(java.lang.String sessionId, int timescale)` Get Top 5 detected Application Type activity on Top5ApplicationTypesDetectedWidget
    `CounterApplicationTypeListing` | `getTop5ApplicationTypesPreventedWidge(java.lang.String sessionId, int timescale)` Get Top 5 prevented Application Type activity on Top5ApplicationTypesPreventedWidget
    `CounterPacketListing` | `getTop5PacketsDetectedWidget(java.lang.String sessionId, int timescale)` Get Top 5 detected firewall activity based on Top5PacketsDetectedWidget
    `CounterPacketListing` | `getTop5PacketsPreventedWidget(java.lang.String sessionId, int timescale)` Get Top 5 prevented firewall activity based on Top5PacketsPreventedWidget
    `CounterPayloadListing` | `getTop5PayloadDetectedWidget(java.lang.String sessionId, int timescale)` Get Top 5 detected IPS activity on Top5PayloadDetectedWidget
    `CounterPayloadListing` | `getTop5PayloadPreventedWidget(java.lang.String sessionId, int timescale)` Get Top 5 prevented IPS activity on Top5PayloadPreventedWidget
    `BarDataListing` | `getTrafficAnalysisHistoryWidget(java.lang.String sessionId, int timescale)` Get Traffic Analysis events history data based on TrafficAnalysisHistoryWidget

- - ### Method Detail

    - #### getTop5PacketsDetectedWidget

          @GET
           @Path(value="/top5PacketsDetectedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterPacketListing getTop5PacketsDetectedWidget(@QueryParam(value="sID")
                                                                                                                                                                     java.lang.String sessionId,
                                                                                                                                                                     @QueryParam(value="timescale")
                                                                                                                                                                     int timescale)
                                                                                                                                                              throws java.lang.Exception

      Get Top 5 detected firewall activity based on Top5PacketsDetectedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPacketElement, a collection of the top 5 firewall activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5PacketsPreventedWidget

          @GET
           @Path(value="/top5PacketsPreventedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterPacketListing getTop5PacketsPreventedWidget(@QueryParam(value="sID")
                                                                                                                                                                       java.lang.String sessionId,
                                                                                                                                                                       @QueryParam(value="timescale")
                                                                                                                                                                       int timescale)
                                                                                                                                                                throws java.lang.Exception

      Get Top 5 prevented firewall activity based on Top5PacketsPreventedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPacketElement, a collection of the top 5 firewall activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5ApplicationTypesDetectedWidge

          @GET
           @Path(value="/top5ApplicationTypesDetectedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterApplicationTypeListing getTop5ApplicationTypesDetectedWidge(@QueryParam(value="sID")
                                                                                                                                                                                               java.lang.String sessionId,
                                                                                                                                                                                               @QueryParam(value="timescale")
                                                                                                                                                                                               int timescale)
                                                                                                                                                                                        throws java.lang.Exception

      Get Top 5 detected Application Type activity on Top5ApplicationTypesDetectedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterApplicationTypeElement, a collection of the top 5 Application type activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5ApplicationTypesPreventedWidge

          @GET
           @Path(value="/top5ApplicationTypesPreventedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterApplicationTypeListing getTop5ApplicationTypesPreventedWidge(@QueryParam(value="sID")
                                                                                                                                                                                                 java.lang.String sessionId,
                                                                                                                                                                                                 @QueryParam(value="timescale")
                                                                                                                                                                                                 int timescale)
                                                                                                                                                                                          throws java.lang.Exception

      Get Top 5 prevented Application Type activity on Top5ApplicationTypesPreventedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterApplicationTypeElement, a collection of the top 5 Application type activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5PayloadDetectedWidget

          @GET
           @Path(value="/top5PayloadDetectedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterPayloadListing getTop5PayloadDetectedWidget(@QueryParam(value="sID")
                                                                                                                                                                      java.lang.String sessionId,
                                                                                                                                                                      @QueryParam(value="timescale")
                                                                                                                                                                      int timescale)
                                                                                                                                                               throws java.lang.Exception

      Get Top 5 detected IPS activity on Top5PayloadDetectedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPayloadElement, a collection of the top 5 IPS activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5PayloadPreventedWidget

          @GET
           @Path(value="/top5PayloadPreventedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterPayloadListing getTop5PayloadPreventedWidget(@QueryParam(value="sID")
                                                                                                                                                                        java.lang.String sessionId,
                                                                                                                                                                        @QueryParam(value="timescale")
                                                                                                                                                                        int timescale)
                                                                                                                                                                 throws java.lang.Exception

      Get Top 5 prevented IPS activity on Top5PayloadPreventedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPayloadElement, a collection of the top 5 IPS activity.
      Throws:
        `java.lang.Exception`

    - #### getPacketHistoryWidget

          @GET
           @Path(value="/packetHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getPacketHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                   java.lang.String sessionId,
                                                                                                                                                   @QueryParam(value="timescale")
                                                                                                                                                   int timescale)
                                                                                                                                            throws java.lang.Exception

      Get Firewall events history data based on PacketHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

    - #### getPayloadLogHistoryWidget

          @GET
           @Path(value="/payloadLogHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getPayloadLogHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                           java.lang.String sessionId,
                                                                                                                                                           @QueryParam(value="timescale")
                                                                                                                                                           int timescale)
                                                                                                                                                    throws java.lang.Exception

      Get Intrusion Prevention events history data based on PayloadLogHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

    - #### getTrafficAnalysisHistoryWidget

          @GET
           @Path(value="/trafficAnalysisHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getTrafficAnalysisHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                                     java.lang.String sessionId,
                                                                                                                                                                     @QueryParam(value="timescale")
                                                                                                                                                                     int timescale)
                                                                                                                                                              throws java.lang.Exception

      Get Traffic Analysis events history data based on TrafficAnalysisHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.